## org.eclipse.jet.xpath.inspector
Class InspectorManager

    java.lang.Object
      org.eclipse.jet.xpath.inspector.InspectorManager

    public final class InspectorManager

extends java.lang.Object

Manager for finding XPath Inspectors for classes

Method Summary
`INodeInspector` `getInspector(java.lang.Object object)`
`static InspectorManager` `getInstance()`
`void` `registerInspector(java.lang.Class[] inspectableClasses, java.lang.Class inspectorClass)`
`void` `registerInspector(java.lang.String[] inspectableClassNames, java.lang.Class inspectorClass)`
`void` `unregisterInspector(java.lang.String[] inspectableClassNames, java.lang.String inspectorClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static InspectorManager getInstance()

### registerInspector

    public void registerInspector(java.lang.Class[] inspectableClasses,
                                  java.lang.Class inspectorClass)

### registerInspector

    public void registerInspector(java.lang.String[] inspectableClassNames,
                                  java.lang.Class inspectorClass)

### getInspector

    public INodeInspector getInspector(java.lang.Object object)

### unregisterInspector

    public void unregisterInspector(java.lang.String[] inspectableClassNames,
                                    java.lang.String inspectorClassName)

Copyright 2006 IBM Corporation and others. All Rights Reserved.